Skip to content
Navigation
POST/conversations/{conversationId}/tags

Attach a tag to a conversation

Attach an existing conversation tag (idempotent). Returns the updated tag list.

Parameters

NameInTypeDescription
conversationIdrequiredpathstringConversation ID

Request body

FieldTypeDescription
tagIdrequiredstringExisting conversation tag id

Response

Updated tag list

Returns an array of objects:

FieldTypeDescription
idrequiredstringTypeID - a type-prefixed UUID
namerequiredstring
colorrequiredstring

Errors

400Validation error
401Unauthorized
404Conversation not found

Example request

curl \
  -X POST \
  "https://feedback.quackback.io/api/v1/conversations/:conversationId/tags" \
  -H "Authorization: Bearer qb_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
  "tagId": "post_01h455vb4pex5vsknk084sn02q"
}'